## tor 0.4.5.16

=== src/ext/timeouts/Makefile ===
# NOTE: GNU Make 3.81 won't export MAKEFLAGS if .POSIX is specified, but
# Solaris make won't export MAKEFLAGS unless .POSIX is specified.
$(firstword ignore).POSIX:

.DEFAULT_GOAL = all

.SUFFIXES:

all:

#
# USER-MODIFIABLE MACROS
#
top_srcdir = .
top_builddir = .

CFLAGS = -O2 -march=native -g -Wall -Wextra -Wno-unused-parameter -Wno-unused-function
SOFLAGS = $$(auto_soflags)
LIBS = $$(auto_libs)

ALL_CPPFLAGS = -I$(top_srcdir) -DWHEEL_BIT=$(WHEEL_BIT) -DWHEEL_NUM=$(WHEEL_NUM) $(CPPFLAGS)
ALL_CFLAGS = $(CFLAGS)
ALL_SOFLAGS = $(SOFLAGS)
ALL_LDFLAGS = $(LDFLAGS)
ALL_LIBS = $(LIBS)

LUA_API = 5.3
LUA = lua
LUA51_CPPFLAGS = $(LUA_CPPFLAGS)
LUA52_CPPFLAGS = $(LUA_CPPFLAGS)
LUA53_CPPFLAGS = $(LUA_CPPFLAGS)

WHEEL_BIT = 6
WHEEL_NUM = 4

RM = rm -f

# END MACROS

SHRC = \
	top_srcdir="$(top_srcdir)"; \
	top_builddir="$(top_builddir)"; \
	. "$${top_srcdir}/Rules.shrc"

LUA_APIS = 5.1 5.2 5.3

include $(top_srcdir)/lua/Rules.mk
include $(top_srcdir)/bench/Rules.mk

all: test-timeout

timeout.o: $(top_srcdir)/timeout.c
test-timeout.o: $(top_srcdir)/test-timeout.c

timeout.o test-timeout.o:
	@$(SHRC); echo_cmd $(CC) $(ALL_CFLAGS) -c -o $@ $${top_srcdir}/$(@F:%.o=%.c) $(ALL_CPPFLAGS)

test-timeout: timeout.o test-timeout.o
	@$(SHRC); echo_cmd $(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -o $@ timeout.o test-timeout.o

.PHONY: clean clean~

clean:
	$(RM) $(top_builddir)/test-timeout $(top_builddir)/*.o
	$(RM) -r $(top_builddir)/*.dSYM

clean~:
	find $(top_builddir) $(top_srcdir) -name "*~" -exec $(RM) -- {} "+"

## tor 0.2.1.21-1maemo0

=== debian/changelog ===
tor (0.2.1.21-1maemo0) unstable; urgency=low

  * Disabled building of docs.
  * Decreased libssl-dev build dependency minimal version.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Wed, 13 Jan 2010 20:27:19 +0100

tor (0.2.1.21-1) unstable; urgency=low

  * New upstream version.
  * Drop patches/ce0a89e2-work-with-reneg-ssl.dpatch (already in
    upstream).

 -- Peter Palfrader <weasel@debian.org>  Tue, 29 Dec 2009 14:55:32 +0100

tor (0.2.1.20-2) unstable; urgency=low

  * Pick ce0a89e2624471272ffc4950c5069d9b81a7f0b9 from maint-0.2.1 git tree:
    - work with libssl that has renegotiation disabled by default.
    (debian/patches/ce0a89e2-work-with-reneg-ssl.dpatch)
  * Therefore build-depend on libssl-dev >= 0.9.8k-6.  If we build against
    earlier versions we will not work once libssl gets upgraded to a version
    that disabled renegotiations.

 -- Peter Palfrader <weasel@debian.org>  Sat, 14 Nov 2009 15:18:32 +0100

tor (0.2.1.20-1) unstable; urgency=low

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Fri, 13 Nov 2009 19:02:47 +0100

tor (0.2.1.19-1) unstable; urgency=low

  * New upstream version.
    - Make accessing hidden services on 0.2.1.x work right (closes: #538960).
    [More items are in the upstream changelog.]

 -- Peter Palfrader <weasel@debian.org>  Wed, 29 Jul 2009 12:49:03 +0200

tor (0.2.1.18-1) unstable; urgency=low

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Sat, 25 Jul 2009 11:15:11 +0200

tor (0.2.1.17-rc-1) experimental; urgency=low

  * New upstream version.
  * Update upstream URL in debian/copyright.

 -- Peter Palfrader <weasel@debian.org>  Mon, 13 Jul 2009 23:37:37 +0200

tor (0.2.1.16-rc-1) experimental; urgency=low

  * New upstream version.
  * No longer inform the user if/when we re-create the /var/run/tor
    directory in the init script.  With /var/run on tmpfs this is
    completely normal now so our message was just noise.
  * Stop shipping /var/run/tor in the package.
  * Only clean up permissions of /var/run/tor in postinst if the
    directory actually exists.
  * Update Standards-Version from 3.8.0 to 3.8.1.  No real changes
    required, we already support nocheck in DEB_BUILD_OPTIONS since
    August 2004, and we already create our var/run directory in the
    init script (tho we now no longer ship it either - see above).
  * Change debhelper compatibility version from 4 to 5:
    - Change dh_strip call from --dbg-package=tor
      to --dbg-package=tor-dbg.
    - Update versioned build time dependency on debhelper.
  * Forward port 06_add_compile_time_defaults.

 -- Peter Palfrader <weasel@debian.org>  Sat, 20 Jun 2009 13:16:02 +0200

tor (0.2.1.15-rc-1) experimental; urgency=low

  * New upstream version.
  * Change build time dependency on gs to ghostscript.

 -- Peter Palfrader <weasel@debian.org>  Sat, 30 May 2009 21:10:03 +0200

tor (0.2.1.14-rc-1) experimental; urgency=low

  * New upstream version.
  * Change Section of tor-dbg to debug.

 -- Peter Palfrader <weasel@debian.org>  Thu, 16 Apr 2009 19:54:19 +0200

tor (0.2.1.13-alpha-1) experimental; urgency=low

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Sun, 15 Mar 2009 00:58:07 +0100

tor (0.2.1.12-alpha-1) experimental; urgency=low

  * New upstream version, fixing several security relevant bugs:
     - Avoid a potential crash on exit nodes when processing malformed
       input.  Remote DoS opportunity (closes: #514579).
     - Fix a temporary DoS vulnerability that could be performed by
       a directory mirror (closes: #514580).
  * patches/06_add_compile_time_defaults: Only set the User option in
    the config if we run as root.  Do not set it when run as debian-tor
    as Tor then always insists on changing users which will fail.  (If
    we run as any other user we don't set our debian defaults anyway.)

 -- Peter Palfrader <weasel@debian.org>  Tue, 10 Feb 2009 00:19:53 +0100

tor (0.2.1.11-alpha-1) experimental; urgency=high

  * New upstream version:
    - Fixes a possible remote heap buffer overflow bug.
    - torify(1) manpage mentions DNS leaks now (closes: #495829).
  * README.Debian: No longer claim we change the default 'Group' setting
    when run as debian-user.  That setting no longer exists.
  * Forward port 03_tor_manpage_in_section_8.dpatch.

 -- Peter Palfrader <weasel@debian.org>  Wed, 21 Jan 2009 01:00:15 +0100

tor (0.2.1.10-alpha-1) experimental; urgency=low

  * New alpha release.
  * Forward port 03_tor_manpage_in_section_8.dpatch.

 -- Peter Palfrader <weasel@debian.org>  Sun, 11 Jan 2009 12:06:28 +0100

tor (0.2.1.9-alpha-1) experimental; urgency=low

  * New alpha release.

 -- Peter Palfrader <weasel@debian.org>  Fri, 26 Dec 2008 20:51:53 +0100

tor (0.2.1.8-alpha-1) experimental; urgency=low

  * New alpha release.

 -- Peter Palfrader <weasel@debian.org>  Mon, 15 Dec 2008 23:00:32 +0100

tor (0.2.1.7-alpha-2) experimental; urgency=low

  * No longer set now obsolete Group setting in built-in debian config.

 -- Peter Palfrader <weasel@debian.org>  Mon, 10 Nov 2008 16:28:31 +0100

tor (0.2.1.7-alpha-1) experimental; urgency=low

  * New alpha release.

 -- Peter Palfrader <weasel@debian.org>  Mon, 10 Nov 2008 09:39:30 +0100

tor (0.2.1.6-alpha-1) experimental; urgency=low

  * New alpha release.
  * Forward port 14_fix_geoip_warning.dpatch.

 -- Peter Palfrader <weasel@debian.org>  Tue, 30 Sep 2008 14:37:26 +0200

tor (0.2.1.5-alpha-1) experimental; urgency=low

  * New alpha release.

 -- Peter Palfrader <weasel@debian.org>  Tue, 02 Sep 2008 00:18:55 +0200

tor (0.2.1.4-alpha-1) experimental; urgency=low

  * New alpha release.
  * Do not build with openbsd's malloc unless enable-openbsd-malloc is in
    DEB_BUILD_OPTIONS.

 -- Peter Palfrader <weasel@debian.org>  Tue, 05 Aug 2008 12:33:23 +0200

tor (0.2.1.2-alpha-1) experimental; urgency=low

  * New alpha release.

 -- Peter Palfrader <weasel@debian.org>  Wed, 16 Jul 2008 13:05:45 +0200



=== debian/control ===
Source: tor
Section: comm
Priority: optional
Maintainer: Peter Palfrader <weasel@debian.org>
Build-Depends: debhelper (>= 5), libssl-dev (>= 0.9.8g-15), dpatch, zlib1g-dev, libevent-dev (>= 1.1), binutils (>= 2.14.90.0.7)
Standards-Version: 3.8.1
Homepage: https://www.torproject.org/

Package: tor
Architecture: any
Depends: ${shlibs:Depends}, adduser, tsocks
Conflicts: libssl0.9.8 (<< 0.9.8g-9)
Recommends: privoxy | polipo (>= 1), socat, logrotate, tor-geoipdb
Suggests: mixmaster, mixminion, anon-proxy
Description: anonymizing overlay network for TCP
 Tor is a connection-based low-latency anonymous communication system which
 addresses many flaws in the original onion routing design.
 .
 In brief, Onion Routing is a connection-oriented anonymizing communication
 service. Users choose a source-routed path through a set of nodes, and
 negotiate a "virtual circuit" through the network, in which each node
 knows its predecessor and successor, but no others. Traffic flowing down
 the circuit is unwrapped by a symmetric key at each node, which reveals
 the downstream node.
 .
 Basically Tor provides a distributed network of servers ("onion
 routers"). Users bounce their tcp streams (web traffic, ftp, ssh, etc)
 around the routers, and recipients, observers, and even the routers
 themselves have difficulty tracking the source of the stream.
 .
 Note that Tor does no protocol cleaning.  That means there is a danger that
 application protocols and associated programs can be induced to reveal
 information about the initiator.  Tor depends on Privoxy and similar protocol
 cleaners to solve this problem.
 .
 Client applications can use the Tor network by connecting to the local
 onion proxy.  If the application itself does not come with socks support
 you can use a socks client such as tsocks.  Some web browsers like mozilla
 and web proxies like privoxy come with socks support, so you don't need an
 extra socks client if you want to use Tor with them.
 .
 This package enables only the onion proxy by default, but it can be configured
 as a relay (server) node.
 .
 Remember that this is development code -- don't rely on the current Tor
 network if you really need strong anonymity.
 .
 The latest information can be found at https://www.torproject.org/, or on the
 mailing lists, archived at http://archives.seul.org/or/talk/ or
 http://archives.seul.org/or/announce/.

Package: tor-dbg
Architecture: any
Depends: tor (= ${binary:Version})
Suggests: gdb
Priority: extra
Section: debug
Description: debugging symbols for Tor
 This package provides the debugging symbols for Tor, The Onion Router.
 Those symbols allow your debugger to assign names to your backtraces, which
 makes it somewhat easier to interpret core dumps.

Package: tor-geoipdb
Architecture: all
Priority: extra
Depends: tor (>= ${source:Version})
Description: geoIP database for Tor
 This package provides a geoIP database for Tor, i.e. it maps IPv4 addresses
 to countries.
 .
 Bridges (special Tor relays that aren't listed in the main Tor directory) use
 this information to report which countries they get access from.  This allows
 the Tor network operators to learn if certain countries started blocking
 access to bridges.

## tor 0.2.1.21-1maemo1

=== debian/changelog ===
tor (0.2.1.21-1maemo1) unstable; urgency=low

  * Removed adduser dependency.
  * Removed bashism from init script.
  * Fixed postinst to run with busybox xargs limitations.
  * Drop weak key removal section from postinst.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Thu, 14 Jan 2010 21:07:02 +0100

## tor 0.2.1.21-1maemo2

=== debian/changelog ===
tor (0.2.1.21-1maemo2) unstable; urgency=low

  * Optified.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Thu, 14 Jan 2010 21:47:29 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: tor
 Architecture: any
-Depends: ${shlibs:Depends}, adduser, tsocks
+Depends: ${shlibs:Depends}, tsocks
 Conflicts: libssl0.9.8 (<< 0.9.8g-9)
 Recommends: privoxy | polipo (>= 1), socat, logrotate, tor-geoipdb
 Suggests: mixmaster, mixminion, anon-proxy

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PACKAGE=tor
include /usr/share/dpatch/dpatch.make

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
#
# See /usr/share/doc/autotools-dev/README.Debian.gz which suggests
# this way of passing --build and --host.  Also see the thread on
# debian-devel './configure in debian/rules' from February/March 2006,
# starting with <43FF212C.5020800@xs4all.nl> by Pjotr Kourzanov.
export DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

CFLAGS ?= -Wall -g

LOCALHOST_IP  ?= $(shell getent hosts localhost | awk '{print $$1}')

# Do not optimize the build with "noopt"
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# Do not strip the binary with "nostrip"
#ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
#	INSTALL_PROGRAM += -s
#endif

# Prevent the unit tests from being run with "nocheck"
ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	RUN_TEST = no
endif
ifneq (,$(findstring notest,$(DEB_BUILD_OPTIONS)))
	RUN_TEST = no
endif

# Support passing of parallel=<n> in build options
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

CONF_OPTIONS =
# build against libdmalloc4 - it better be installed
ifneq (,$(findstring with-dmalloc,$(DEB_BUILD_OPTIONS)))
	CONF_OPTIONS += --with-dmalloc
endif
# allow building with --enable-openbsd-malloc
ifneq (,$(findstring enable-openbsd-malloc,$(DEB_BUILD_OPTIONS)))
	CONF_OPTIONS += --enable-openbsd-malloc
endif

configure: patch-stamp
config.status: configure
	@if [ "$(LOCALHOST_IP)" != "127.0.0.1" ]; then echo; echo; echo; echo; echo; echo "######################################################################"; echo "WARNING: This system does not think localhost is 127.0.0.1.  Will ignore result of testsuite.  Please fix your system/chroot."; echo "######################################################################"; echo; echo; echo; echo; echo "Note: 'getent hosts localhost' should return '127.0.0.1 localhost'"; echo; fi
	dh_testdir
	CFLAGS="$(CFLAGS)" ./configure \
		$(confflags) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--localstatedir=/var \
		--sysconfdir=/etc \
		$(CONF_OPTIONS)


build: build-stamp

build-stamp:  config.status
	dh_testdir

	$(MAKE)
	@echo
	@echo
	# Running unit tests
	@if [ "$(RUN_TEST)" != "no" ]; then \
		if [ "$(LOCALHOST_IP)" != "127.0.0.1" ]; then \
			echo; echo; echo "######################################################################"; echo "WARNING: This system does not think localhost is 127.0.0.1.  Will ignore result of testsuite.  Please fix your system/chroot."; echo "######################################################################"; echo; echo; \
			echo "src/or/test || true"; \
			src/or/test || true; \
		else \
			echo "src/or/test"; \
			src/or/test; \
		fi; \
	else \
		echo -e "\n\nSkipping unittests\n\n"; \
	fi
	@echo

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tor
	# move tor to where it belongs
	mv $(CURDIR)/debian/tor/etc/tor/torrc.sample $(CURDIR)/debian/tor/etc/tor/torrc
	mv $(CURDIR)/debian/tor/usr/bin/tor $(CURDIR)/debian/tor/usr/sbin/tor
	install -d $(CURDIR)/debian/tor/usr/share/man/man8
	mv $(CURDIR)/debian/tor/usr/share/man/man1/tor.1 $(CURDIR)/debian/tor/usr/share/man/man8/tor.8

	install -m 755 contrib/torify $(CURDIR)/debian/tor/usr/bin
	install -m 644 contrib/torify.1 $(CURDIR)/debian/tor/usr/share/man/man1
	install -m 644 contrib/tor-tsocks.conf $(CURDIR)/debian/tor/etc/tor

	install -m 644 debian/tor.lintian-override $(CURDIR)/debian/tor/usr/share/lintian/overrides/tor

	install -d -m 755 $(CURDIR)/debian/tor/usr/share/doc/tor/spec
	for i in doc/spec/*txt; do \
		install -m 644 $$i $(CURDIR)/debian/tor/usr/share/doc/tor/spec || exit 1; \
	done

	dh_link usr/share/man/man8/tor.8 usr/share/man/man5/torrc.5

	rm -f $(CURDIR)/debian/tor/usr/bin/tor-control.py

	# tor-dbg doc dir
	install -d -m 755 $(CURDIR)/debian/tor-dbg/usr/share/doc
	ln -s tor $(CURDIR)/debian/tor-dbg/usr/share/doc/tor-dbg

	# tor-geoip
	mv $(CURDIR)/debian/tor/usr/share/tor/geoip $(CURDIR)/debian/tor-geoipdb/usr/share/tor
	rmdir $(CURDIR)/debian/tor/usr/share/tor || true

	install -d -m 755 $(CURDIR)/debian/tor-geoipdb/usr/share/doc/tor-geoipdb
	ln -s ../tor/changelog.gz $(CURDIR)/debian/tor-geoipdb/usr/share/doc/tor-geoipdb
	ln -s ../tor/changelog.Debian.gz $(CURDIR)/debian/tor-geoipdb/usr/share/doc/tor-geoipdb

	install -m 644 debian/tor-geoipdb.lintian-override $(CURDIR)/debian/tor-geoipdb/usr/share/lintian/overrides/tor-geoipdb

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs --package=tor ChangeLog
	dh_installexamples
	dh_installlogrotate
	dh_installinit
	dh_installman
	dh_link
	dh_strip --dbg-package=tor-dbg
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: install
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: install
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common
	@if [ "$(LOCALHOST_IP)" != "127.0.0.1" ]; then echo; echo; echo; echo; echo; echo "######################################################################"; echo "WARNING: This system does not think localhost is 127.0.0.1.  Result of testsuite has been ignored.  Please fix your system/chroot."; echo "######################################################################"; echo; echo; echo; echo; echo "Note: 'getent hosts localhost' should return '127.0.0.1 localhost'"; echo; fi

binary: binary-indep binary-arch
.PHONY: build clean binary-common binary-indep binary-arch binary install

## tor 0.2.1.21-1maemo3

=== debian/changelog ===
tor (0.2.1.21-1maemo3) unstable; urgency=low

  * Removed docs and manpages.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Tue, 19 Jan 2010 13:39:15 +0100

=== debian/rules ===
--- 
+++ 
@@ -122,27 +122,13 @@
 	# move tor to where it belongs
 	mv $(CURDIR)/debian/tor/etc/tor/torrc.sample $(CURDIR)/debian/tor/etc/tor/torrc
 	mv $(CURDIR)/debian/tor/usr/bin/tor $(CURDIR)/debian/tor/usr/sbin/tor
-	install -d $(CURDIR)/debian/tor/usr/share/man/man8
-	mv $(CURDIR)/debian/tor/usr/share/man/man1/tor.1 $(CURDIR)/debian/tor/usr/share/man/man8/tor.8
 
 	install -m 755 contrib/torify $(CURDIR)/debian/tor/usr/bin
-	install -m 644 contrib/torify.1 $(CURDIR)/debian/tor/usr/share/man/man1
 	install -m 644 contrib/tor-tsocks.conf $(CURDIR)/debian/tor/etc/tor
 
 	install -m 644 debian/tor.lintian-override $(CURDIR)/debian/tor/usr/share/lintian/overrides/tor
 
-	install -d -m 755 $(CURDIR)/debian/tor/usr/share/doc/tor/spec
-	for i in doc/spec/*txt; do \
-		install -m 644 $$i $(CURDIR)/debian/tor/usr/share/doc/tor/spec || exit 1; \
-	done
-
-	dh_link usr/share/man/man8/tor.8 usr/share/man/man5/torrc.5
-
 	rm -f $(CURDIR)/debian/tor/usr/bin/tor-control.py
-
-	# tor-dbg doc dir
-	install -d -m 755 $(CURDIR)/debian/tor-dbg/usr/share/doc
-	ln -s tor $(CURDIR)/debian/tor-dbg/usr/share/doc/tor-dbg
 
 	# tor-geoip
 	mv $(CURDIR)/debian/tor/usr/share/tor/geoip $(CURDIR)/debian/tor-geoipdb/usr/share/tor

## tor 0.2.1.22-1maemo1

=== debian/changelog ===
tor (0.2.1.22-1maemo1) unstable; urgency=low

  * New upstream version.
    - Rotate keys (both v3 identity and relay identity) for moria1
      and gabelmoo.
    - Stop bridge directory authorities from answering dbg-stability.txt
      directory queries. Bugfix on 0.2.1.6-alpha.
  * Fix the maintainer field for modified package.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Sat, 23 Jan 2010 18:03:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tor
 Section: comm
 Priority: optional
-Maintainer: Peter Palfrader <weasel@debian.org>
+Maintainer: Philipp Zabel <philipp.zabel@gmail.com>
+XBSC-Original-Maintainer: Peter Palfrader <weasel@debian.org>
 Build-Depends: debhelper (>= 5), libssl-dev (>= 0.9.8g-15), dpatch, zlib1g-dev, libevent-dev (>= 1.1), binutils (>= 2.14.90.0.7)
 Standards-Version: 3.8.1
 Homepage: https://www.torproject.org/

## tor 0.2.1.23-1maemo1

=== debian/changelog ===
tor (0.2.1.23-1maemo1) unstable; urgency=low

  * New upstream version.
  * Fix the maintainer field for modified package.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Fri, 26 Feb 2010 20:16:24 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Philipp Zabel <philipp.zabel@gmail.com>
 XBSC-Original-Maintainer: Peter Palfrader <weasel@debian.org>
-Build-Depends: debhelper (>= 5), libssl-dev (>= 0.9.8g-15), dpatch, zlib1g-dev, libevent-dev (>= 1.1), binutils (>= 2.14.90.0.7)
+Build-Depends: debhelper (>= 5), libssl-dev, dpatch, zlib1g-dev, libevent-dev (>= 1.1), binutils (>= 2.14.90.0.7)
 Standards-Version: 3.8.1
 Homepage: https://www.torproject.org/

## tor 0.2.1.25-3maemo1

=== debian/changelog ===
tor (0.2.1.25-3maemo1) unstable; urgency=low

  * New upstream version.
  * Change order of recommends from privoxy | polipo to polipo | privoxy.
  * Minor testsuite bugfixes from Debian

 -- Philipp Zabel <philipp.zabel@gmail.com>  Fri, 23 Apr 2010 14:06:03 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, tsocks
 Conflicts: libssl0.9.8 (<< 0.9.8g-9)
-Recommends: privoxy | polipo (>= 1), socat, logrotate, tor-geoipdb
+Recommends: polipo (>= 1) | privoxy, socat, logrotate, tor-geoipdb
 Suggests: mixmaster, mixminion, anon-proxy
 Description: anonymizing overlay network for TCP
  Tor is a connection-based low-latency anonymous communication system which

## tor 0.2.1.26-1maemo1

=== debian/changelog ===
tor (0.2.1.26-1maemo1) unstable; urgency=low

  * New upstream version.
  * Remove debian/patches/15_testuite-thread-fixes (merged upstream).
  * Add ${misc:Depends} for all three binary packages because debhelper
    might want to add stuff.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Fri, 04 Jun 2010 11:53:03 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: tor
 Architecture: any
-Depends: ${shlibs:Depends}, tsocks
+Depends: ${shlibs:Depends}, tsocks, ${misc:Depends}
 Conflicts: libssl0.9.8 (<< 0.9.8g-9)
 Recommends: polipo (>= 1) | privoxy, socat, logrotate, tor-geoipdb
 Suggests: mixmaster, mixminion, anon-proxy
@@ -52,7 +52,7 @@
 
 Package: tor-dbg
 Architecture: any
-Depends: tor (= ${binary:Version})
+Depends: tor (= ${binary:Version}), ${misc:Depends}
 Suggests: gdb
 Priority: extra
 Section: debug
@@ -64,7 +64,7 @@
 Package: tor-geoipdb
 Architecture: all
 Priority: extra
-Depends: tor (>= ${source:Version})
+Depends: tor (>= ${source:Version}), ${misc:Depends}
 Description: geoIP database for Tor
  This package provides a geoIP database for Tor, i.e. it maps IPv4 addresses
  to countries.

## tor 0.2.1.29-1maemo1

=== debian/changelog ===
tor (0.2.1.29-1maemo1) unstable; urgency=high

  * New upstream version.
    - Security related fixes, see upstream changelog for details.
      Adresses CVE-2010-1676, CVE-2011-0427.
    - Add maatuska as eighth v3 directory authority.
  * No longer set ulimit -c to unlimited.
  * Change section from comm to net.
  * Only chown/chgrp /var/{lib,log,run}/tor directly, never recursively
    in the postinst script.
  * Remove /var/run/tor, recursively, on purge.  We already do this
    for /var/lib/tor and /var/log/tor.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Wed, 15 Feb 2010 21:39:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: tor
-Section: comm
+Section: net
 Priority: optional
 Maintainer: Philipp Zabel <philipp.zabel@gmail.com>
 XBSC-Original-Maintainer: Peter Palfrader <weasel@debian.org>
@@ -8,7 +8,7 @@
 Homepage: https://www.torproject.org/
 
 Package: tor
-Architecture: any
+Architecture: armel
 Depends: ${shlibs:Depends}, tsocks, ${misc:Depends}
 Conflicts: libssl0.9.8 (<< 0.9.8g-9)
 Recommends: polipo (>= 1) | privoxy, socat, logrotate, tor-geoipdb
@@ -51,7 +51,7 @@
  http://archives.seul.org/or/announce/.
 
 Package: tor-dbg
-Architecture: any
+Architecture: armel
 Depends: tor (= ${binary:Version}), ${misc:Depends}
 Suggests: gdb
 Priority: extra
@@ -62,7 +62,7 @@
  makes it somewhat easier to interpret core dumps.
 
 Package: tor-geoipdb
-Architecture: all
+Architecture: armel
 Priority: extra
 Depends: tor (>= ${source:Version}), ${misc:Depends}
 Description: geoIP database for Tor

## tor 0.2.1.30-1maemo1

=== debian/changelog ===
tor (0.2.1.30-1maemo1) unstable; urgency=low

  * New upstream version.
  * The tor specification files are not shipped in the tarball anymore.
    They can be found at <URL:https://gitweb.torproject.org/torspec.git/tree>.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Mon, 16 May 2010 09:05:18 +0200

=== debian/rules ===
--- 
+++ 
@@ -82,6 +82,7 @@
 
 build-stamp:  config.status
 	dh_testdir
+	! [ -e debian/micro-revision.i ] || cp debian/micro-revision.i src/or/micro-revision.i
 
 	$(MAKE)
 	@echo
@@ -109,6 +110,7 @@
 	rm -f build-stamp
 
 	[ ! -f Makefile ] || $(MAKE) distclean
+	! [ -e debian/micro-revision.i ] || rm -f src/or/micro-revision.i
 
 	dh_clean
 
@@ -150,7 +152,7 @@
 	dh_installexamples
 	dh_installlogrotate
 	dh_installinit
-	dh_installman
+	#dh_installman
 	dh_link
 	dh_strip --dbg-package=tor-dbg
 	dh_compress

## tor 0.2.2.33-1maemo1

=== debian/changelog ===
tor (0.2.2.33-1maemo1) unstable; urgency=low

  * New upstream version, merge from Debian git tree

 -- Philipp Zabel <philipp.zabel@gmail.com>  Mon, 10 Oct 2011 19:25:14 +0200

=== debian/rules ===
--- 
+++ 
@@ -26,8 +26,6 @@
 
 CFLAGS ?= -Wall -g
 
-LOCALHOST_IP  ?= $(shell getent hosts localhost | awk '{print $$1}')
-
 # Do not optimize the build with "noopt"
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -54,28 +52,31 @@
 	MAKEFLAGS += -j$(NUMJOBS)
 endif
 
-CONF_OPTIONS =
-# build against libdmalloc4 - it better be installed
+# allow building against libdmalloc4 - it better be installed
 ifneq (,$(findstring with-dmalloc,$(DEB_BUILD_OPTIONS)))
-	CONF_OPTIONS += --with-dmalloc
+	confflags += --with-dmalloc
 endif
 # allow building with --enable-openbsd-malloc
 ifneq (,$(findstring enable-openbsd-malloc,$(DEB_BUILD_OPTIONS)))
-	CONF_OPTIONS += --enable-openbsd-malloc
+	confflags += --enable-openbsd-malloc
 endif
+
+export LDFLAGS
+export CFLAGS
+
+MANPAGE_INS=doc/tor.1.in doc/torify.1.in doc/tor-gencert.1.in doc/tor-resolve.1.in
 
 configure: patch-stamp
 config.status: configure
-	@if [ "$(LOCALHOST_IP)" != "127.0.0.1" ]; then echo; echo; echo; echo; echo; echo "######################################################################"; echo "WARNING: This system does not think localhost is 127.0.0.1.  Will ignore result of testsuite.  Please fix your system/chroot."; echo "######################################################################"; echo; echo; echo; echo; echo "Note: 'getent hosts localhost' should return '127.0.0.1 localhost'"; echo; fi
 	dh_testdir
-	CFLAGS="$(CFLAGS)" ./configure \
+	./configure \
 		$(confflags) \
 		--prefix=/usr \
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
 		--localstatedir=/var \
 		--sysconfdir=/etc \
-		$(CONF_OPTIONS)
+		--disable-asciidoc
 
 
 build: build-stamp
@@ -84,33 +85,35 @@
 	dh_testdir
 	! [ -e debian/micro-revision.i ] || cp debian/micro-revision.i src/or/micro-revision.i
 
+	# Also touch all the .html files or else the build system will
+	# try to re-create them and fail badly
+	for file in $(MANPAGE_INS); do touch $${file%%.1.in}.html.in || exit 1; done
 	$(MAKE)
 	@echo
 	@echo
 	# Running unit tests
 	@if [ "$(RUN_TEST)" != "no" ]; then \
-		if [ "$(LOCALHOST_IP)" != "127.0.0.1" ]; then \
-			echo; echo; echo "######################################################################"; echo "WARNING: This system does not think localhost is 127.0.0.1.  Will ignore result of testsuite.  Please fix your system/chroot."; echo "######################################################################"; echo; echo; \
-			echo "src/or/test || true"; \
-			src/or/test || true; \
-		else \
-			echo "src/or/test"; \
-			src/or/test; \
-		fi; \
+		make check; \
 	else \
-		echo -e "\n\nSkipping unittests\n\n"; \
+		echo; echo; echo "Skipping unittests"; echo; \
 	fi
 	@echo
-
 	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
+	rm -f src/common/common_sha1.i src/or/or_sha1.i
+	rm -f src/or/micro-revision.i
 
 	[ ! -f Makefile ] || $(MAKE) distclean
 	! [ -e debian/micro-revision.i ] || rm -f src/or/micro-revision.i
+
+	# Normally the .deb wouldn't ship with a ../.git
+	if [ -d .git ] && which git >/dev/null; then \
+		echo "\"`git rev-parse --short=16 HEAD`\"" > "debian/micro-revision.i" ; \
+	fi
 
 	dh_clean
 
@@ -152,7 +155,6 @@
 	dh_installexamples
 	dh_installlogrotate
 	dh_installinit
-	#dh_installman
 	dh_link
 	dh_strip --dbg-package=tor-dbg
 	dh_compress
@@ -170,7 +172,6 @@
 # Build architecture dependant packages using the common target.
 binary-arch: install
 	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common
-	@if [ "$(LOCALHOST_IP)" != "127.0.0.1" ]; then echo; echo; echo; echo; echo; echo "######################################################################"; echo "WARNING: This system does not think localhost is 127.0.0.1.  Result of testsuite has been ignored.  Please fix your system/chroot."; echo "######################################################################"; echo; echo; echo; echo; echo "Note: 'getent hosts localhost' should return '127.0.0.1 localhost'"; echo; fi
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-common binary-indep binary-arch binary install

## tor 0.2.2.34-1maemo1

=== debian/changelog ===
tor (0.2.2.34-1maemo1) unstable; urgency=high

  * New upstream version, fixing a couple of security relevant bugs
    such as guard enumeration (CVE-2011-2768) and bridge enumeration
    (CVE-2011-2769) issues.  For details consult the upstream changelog.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Thu, 10 Nov 2011 13:59:58 +0100

=== debian/watch ===
version=2
http://tor.eff.org/dist/tor-(.*)\.tar\.gz

## tor 0.2.2.35-1maemo1

=== debian/changelog ===
tor (0.2.2.35-1maemo1) unstable; urgency=high

  * New upstream version, fixing a heap overflow bug related to Tor's
    SOCKS code (CVE-2011-2778).
  * There no longer is a document called INSTALL to copy to
    usr/share/docs/tor, so get rid of the lintian override.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Mon, 02 Jan 2012 18:39:12 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
 
 Package: tor
 Architecture: armel
-Depends: ${shlibs:Depends}, tsocks, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libssl0.9.8 (<< 0.9.8g-9)
-Recommends: polipo (>= 1) | privoxy, socat, logrotate, tor-geoipdb
-Suggests: mixmaster, mixminion, anon-proxy
+Recommends: logrotate, tor-geoipdb, tsocks
+Suggests: mixmaster, socat, tor-arm, polipo (>= 1) | privoxy
 Description: anonymizing overlay network for TCP
  Tor is a connection-based low-latency anonymous communication system which
  addresses many flaws in the original onion routing design.
@@ -47,8 +47,8 @@
  network if you really need strong anonymity.
  .
  The latest information can be found at https://www.torproject.org/, or on the
- mailing lists, archived at http://archives.seul.org/or/talk/ or
- http://archives.seul.org/or/announce/.
+ mailing lists, archived at https://lists.torproject.org/pipermail/tor-talk/ or
+ https://lists.torproject.org/pipermail/tor-announce/.
 
 Package: tor-dbg
 Architecture: armel

=== debian/rules ===
--- 
+++ 
@@ -131,8 +131,6 @@
 	install -m 755 contrib/torify $(CURDIR)/debian/tor/usr/bin
 	install -m 644 contrib/tor-tsocks.conf $(CURDIR)/debian/tor/etc/tor
 
-	install -m 644 debian/tor.lintian-override $(CURDIR)/debian/tor/usr/share/lintian/overrides/tor
-
 	rm -f $(CURDIR)/debian/tor/usr/bin/tor-control.py
 
 	# tor-geoip

## tor 0.2.3.25-1maemo1

=== debian/changelog ===
tor (0.2.3.25-1maemo1) unstable; urgency=high

  * New upstream release.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Sun, 09 Dec 2012 12:05:23 +0100

=== debian/control ===
Source: tor
Section: net
Priority: optional
Maintainer: Philipp Zabel <philipp.zabel@gmail.com>
XBSC-Original-Maintainer: Peter Palfrader <weasel@debian.org>
Build-Depends: debhelper (>= 5), libssl-dev, dpatch, zlib1g-dev, libevent-dev (>= 1.1), binutils (>= 2.14.90.0.7)
Standards-Version: 3.8.1
Homepage: https://www.torproject.org/

Package: tor
Architecture: armel
Depends: ${shlibs:Depends}, adduser, ${misc:Depends}, lsb-base
Conflicts: libssl0.9.8 (<< 0.9.8g-9)
Recommends: logrotate, tor-geoipdb, torsocks
Suggests: mixmaster, socat, tor-arm, polipo (>= 1) | privoxy
Description: anonymizing overlay network for TCP
 Tor is a connection-based low-latency anonymous communication system.
 .
 Clients choose a source-routed path through a set of relays, and
 negotiate a "virtual circuit" through the network, in which each relay
 knows its predecessor and successor, but no others. Traffic flowing
 down the circuit is decrypted at each relay, which reveals the
 downstream relay.
 .
 Basically, Tor provides a distributed network of relays. Users bounce
 their TCP streams (web traffic, ftp, ssh, etc) around the relays, and
 recipients, observers, and even the relays themselves have difficulty
 learning which users connected to which destinations.
 .
 This package enables only a Tor client by default, but it can also be
 configured as a relay and/or a hidden service easily.
 .
 Client applications can use the Tor network by connecting to the local
 socks proxy interface provided by your Tor instance. If the application
 itself does not come with socks support, you can use a socks client
 such as torsocks.
 .
 Note that Tor does no protocol cleaning on application traffic. There
 is a danger that application protocols and associated programs can be
 induced to reveal information about the user. Tor depends on Torbutton
 and similar protocol cleaners to solve this problem. For best
 protection when web surfing, the Tor Project recommends that you use
 the Tor Browser Bundle, a standalone tarball that includes static
 builds of Tor, Torbutton, and a modified Firefox that is patched to fix
 a variety of privacy bugs.

Package: tor-dbg
Architecture: armel
Depends: tor (= ${binary:Version}), ${misc:Depends}
Suggests: gdb
Priority: extra
Section: debug
Description: debugging symbols for Tor
 This package provides the debugging symbols for Tor, The Onion Router.
 Those symbols allow your debugger to assign names to your backtraces, which
 makes it somewhat easier to interpret core dumps.

Package: tor-geoipdb
Architecture: armel
Priority: extra
Depends: tor (>= ${source:Version}), ${misc:Depends}
Description: GeoIP database for Tor
 This package provides a GeoIP database for Tor, i.e. it maps IPv4 addresses
 to countries.
 .
 Bridge relays (special Tor relays that aren't listed in the main Tor
 directory) use this information to report which countries they see
 connections from.  These statistics enable the Tor network operators to
 learn when certain countries start blocking access to bridges.
 .
 Clients can also use this to learn what country each relay is in, so
 Tor controllers like arm or Vidalia can use it, or if they want to
 configure path selection preferences.

=== debian/rules ===
--- 
+++ 
@@ -76,7 +76,8 @@
 		--infodir=\$${prefix}/share/info \
 		--localstatedir=/var \
 		--sysconfdir=/etc \
-		--disable-asciidoc
+		--disable-asciidoc \
+		--disable-gcc-hardening
 
 
 build: build-stamp
@@ -130,6 +131,7 @@
 
 	install -m 755 contrib/torify $(CURDIR)/debian/tor/usr/bin
 	install -m 644 contrib/tor-tsocks.conf $(CURDIR)/debian/tor/etc/tor
+	install -m 644 debian/tor-service-defaults-torrc $(CURDIR)/debian/tor/usr/share/tor
 
 	rm -f $(CURDIR)/debian/tor/usr/bin/tor-control.py

## tor 0.2.5.10-1~trusty+1+7.0trisquel1

=== debian/changelog ===
tor (0.2.5.10-1~trusty+1+7.0trisquel1) belenos; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 25 Oct 2014 19:23:40 +0200

tor (0.2.5.10-1~trusty+1) trusty-backport; urgency=low

  * Build for trusty-backport.

 -- jenkins role account <jenkins@burlewii.torproject.org>  Fri, 24 Oct 2014 14:08:55 +0000

tor (0.2.5.10-1) unstable; urgency=medium

  * New upstream version.
  * Use "service tor reload", guarded by "service tor status" in logrotate
    instead as suggested by Dirk Griesbach (closes: #765407).

 -- Peter Palfrader <weasel@debian.org>  Fri, 24 Oct 2014 16:05:28 +0200

tor (0.2.5.9-rc-1) unstable; urgency=medium

  * New upstream version.
    - Disabled SSLv3 unconditionally.  As a by-product, this means
      that we no longer die in SSLv3 cleanup code in what is likely
      an openssl bug introduced in 1.0.1j (closes: 765968).
  * logrotate script: call invoke-rc.d tor reload instead of
    /etc/init.d/tor reload.  This way, if tor is properly disabled, we will
    not try to reload tor. (closes: #765407).

 -- Peter Palfrader <weasel@debian.org>  Mon, 20 Oct 2014 21:01:01 +0200

tor (0.2.5.8-rc-1) unstable; urgency=medium

  * New upstream version.  Upload to unstable.

 -- Peter Palfrader <weasel@debian.org>  Tue, 23 Sep 2014 11:06:10 +0200

tor (0.2.5.7-rc-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Fri, 12 Sep 2014 16:56:10 +0200

tor (0.2.5.6-alpha-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Mon, 28 Jul 2014 22:41:37 +0200

tor (0.2.5.5-alpha-1) experimental; urgency=low

  * New upstream version.
  * upstream contrib/ directory cleanup, requires adapting paths in
    tor.docs and tor.install:
    - torify moved to contrib/client-tools/
    - tor-exit-notice.html moved to contrib/operator-tools/
  * Restrict build dependency on libseccomp-dev to amd64 and i386 only.
    Build-Conflict with it on the other archs.

 -- Peter Palfrader <weasel@debian.org>  Thu, 19 Jun 2014 08:06:11 +0200

tor (0.2.5.4-alpha-1) experimental; urgency=low

  * New upstream version.
  * Build depend on libseccomp-dev.

 -- Peter Palfrader <weasel@debian.org>  Sat, 26 Apr 2014 09:01:00 +0200

tor (0.2.5.3-alpha-1) experimental; urgency=low

  * New upstream version.
  * Add obfsproxy to suggests.
  * Apparmor policy: Allow executing /usr/bin/obfsproxy - thanks to
    intrigeri for the patch (closes: #739279).

 -- Peter Palfrader <weasel@debian.org>  Sun, 23 Mar 2014 07:39:17 +0100

tor (0.2.5.2-alpha-1) experimental; urgency=low

  * New upstream version.
  * From 0.2.4.20-1:
    + init script: make /var/log/tor if it does not exist anymore
      (closes: #732572).

 -- Peter Palfrader <weasel@debian.org>  Thu, 13 Feb 2014 23:44:03 +0100

tor (0.2.5.1-alpha-1) experimental; urgency=low

  * New upstream tree, new upstream version.
  * Current alpha no longer /builds/ contrib/torify, it just ships it.
    Adapt debian/tor.install to get it from contrib/torify instead of
    build/contrib/torify.

 -- Peter Palfrader <weasel@debian.org>  Tue, 01 Oct 2013 20:28:59 +0200

tor (0.2.4.17-rc-2) UNRELEASED; urgency=low

  * Re-add a few 'exit 1' statements on errors that got lost while
    updating the init script to fancy LSB style output (closes: #722153).
  * Mention the DisableDebuggerAttachment setting next to the ulimit -c
    line in /etc/default/tor (closes: #723801).

 -- Peter Palfrader <weasel@debian.org>  Sun, 08 Sep 2013 16:49:04 +0200

tor (0.2.4.17-rc-1) experimental; urgency=low

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Thu, 05 Sep 2013 15:00:08 +0200

tor (0.2.4.16-rc-1) experimental; urgency=low

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Sun, 11 Aug 2013 00:31:17 +0200

tor (0.2.4.15-rc-1) experimental; urgency=low

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Wed, 03 Jul 2013 20:58:53 +0200

tor (0.2.4.14-alpha-1) experimental; urgency=low

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Tue, 18 Jun 2013 22:21:36 +0200

tor (0.2.4.13-alpha-1) experimental; urgency=low

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Mon, 17 Jun 2013 12:18:16 +0200

tor (0.2.4.12-alpha-2) experimental; urgency=low

  * No longer change tor manpage to be in section 8.
  * No longer move tor from usr/bin to /usr/sbin after make install.
    We now install tor into the same place as upstream.  Having it in
    the default user path makes it easier for users who want to run
    tor themselves.
  * Install a compatibility symlink in /usr/sbin.
  * Change relation form from (< version) to (<< version) in the tor-geoip
    package.
  * Update debian/watch file.
  * Clean up old /etc/tor/tor-tsocks.conf conffile (closes: #705785).
    This requires debhelper >= 8.1.0~, adapt build-dependency accordingly.

 -- Peter Palfrader <weasel@debian.org>  Wed, 08 May 2013 18:03:36 +0200

tor (0.2.4.12-alpha-1) experimental; urgency=low

  * New upstream version.
  * Forward port 03_tor_manpage_in_section_8.dpatch: torify.1 no longer
    references tsocks.
  * No longer install contrib/tor-tsocks.conf - it was dropped upstream.
  * Update year in debian/copyright.

 -- Peter Palfrader <weasel@debian.org>  Thu, 18 Apr 2013 16:04:29 +0200

tor (0.2.4.11-alpha-1) experimental; urgency=low

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Mon, 11 Mar 2013 22:46:51 +0100

tor (0.2.4.10-alpha-1) experimental; urgency=low

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Tue, 05 Feb 2013 00:08:36 +0100

tor (0.2.4.9-alpha-1) experimental; urgency=low

  * New upstream version.
  * Build-Conflict with libnacl-dev so that we don't pull it in accidentally.
    For now Tor doesn't manage to use it on at least amd64 anyway, but that


=== debian/control ===
--- 
+++ 
@@ -1,18 +1,21 @@
 Source: tor
 Section: net
 Priority: optional
-Maintainer: Philipp Zabel <philipp.zabel@gmail.com>
-XBSC-Original-Maintainer: Peter Palfrader <weasel@debian.org>
-Build-Depends: debhelper (>= 5), libssl-dev, dpatch, zlib1g-dev, libevent-dev (>= 1.1), binutils (>= 2.14.90.0.7)
-Standards-Version: 3.8.1
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Build-Depends: debhelper (>= 8.1.0~), quilt, libssl-dev, zlib1g-dev, libevent-dev (>= 1.1), binutils (>= 2.14.90.0.7), hardening-includes, asciidoc (>= 8.2), docbook-xml, docbook-xsl, xmlto, dh-apparmor, libseccomp-dev [amd64 i386]
+Build-Conflicts: libnacl-dev, libseccomp-dev [!amd64 !i386]
+Standards-Version: 3.9.4
 Homepage: https://www.torproject.org/
+Vcs-Git: https://git.torproject.org/debian/tor.git
+Vcs-Browser: https://gitweb.torproject.org/debian/tor.git
 
 Package: tor
-Architecture: armel
+Architecture: any
 Depends: ${shlibs:Depends}, adduser, ${misc:Depends}, lsb-base
+Pre-Depends: ${misc:Pre-Depends}
 Conflicts: libssl0.9.8 (<< 0.9.8g-9)
 Recommends: logrotate, tor-geoipdb, torsocks
-Suggests: mixmaster, socat, tor-arm, polipo (>= 1) | privoxy
+Suggests: mixmaster, xul-ext-torbutton, socat, tor-arm, polipo (>= 1) | privoxy, apparmor-utils, tor-arm, obfsproxy
 Description: anonymizing overlay network for TCP
  Tor is a connection-based low-latency anonymous communication system.
  .
@@ -45,7 +48,7 @@
  a variety of privacy bugs.
 
 Package: tor-dbg
-Architecture: armel
+Architecture: any
 Depends: tor (= ${binary:Version}), ${misc:Depends}
 Suggests: gdb
 Priority: extra
@@ -56,9 +59,11 @@
  makes it somewhat easier to interpret core dumps.
 
 Package: tor-geoipdb
-Architecture: armel
+Architecture: all
 Priority: extra
 Depends: tor (>= ${source:Version}), ${misc:Depends}
+Replaces: tor (<< 0.2.4.8)
+Breaks: tor (<< 0.2.4.8)
 Description: GeoIP database for Tor
  This package provides a GeoIP database for Tor, i.e. it maps IPv4 addresses
  to countries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DH_VERBOSE ?= 1

# allow building against libdmalloc4 - it better be installed
ifneq (,$(findstring with-dmalloc,$(DEB_BUILD_OPTIONS)))
	confflags += --with-dmalloc
endif
# allow building with --enable-openbsd-malloc
ifneq (,$(findstring enable-openbsd-malloc,$(DEB_BUILD_OPTIONS)))
	confflags += --enable-openbsd-malloc
endif

%:
	dh \
		$@ \
		--with quilt \
		--builddirectory=build \
		--parallel

override_dh_auto_configure:
	! [ -e debian/micro-revision.i ] || cp debian/micro-revision.i src/or/micro-revision.i
	dh_auto_configure -- \
		$(confflags) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--localstatedir=/var \
		--sysconfdir=/etc \
		--disable-silent-rules

override_dh_clean:
	! [ -e debian/micro-revision.i ] || rm -f src/or/micro-revision.i

	# Normally the .deb wouldn't ship with a ../.git, but if we do, include the revision number
	if [ -d .git ] && which git >/dev/null; then \
		echo "\"`git rev-parse --short=16 HEAD`\"" > "debian/micro-revision.i" ; \
	fi

	# these get autobuilt from the .txt files, some of which we also patch
	rm -vf doc/*.in

	dh_clean

override_dh_install:
	dh_install --fail-missing

	mv debian/tor/etc/tor/torrc.sample debian/tor/etc/tor/torrc

	cp debian/tor.apparmor-profile             debian/tor/etc/apparmor.d/system_tor
	cp debian/tor.apparmor-profile.abstraction debian/tor/etc/apparmor.d/abstractions/tor
	dh_apparmor --profile-name=system_tor -ptor

override_dh_installdocs:
	dh_installdocs -ptor-dbg --link-doc=tor
	dh_installdocs
override_dh_strip:
	dh_strip --dbg-package=tor-dbg
override_dh_installinit:
	dh_installinit --error-handler=tor_error_init
